<?php

declare(strict_types=1);

namespace App\Domain\Reader\Application\Query;

final readonly class GetChapterPages
{
    public function __construct(
        private string $chapterId,
        private int    $page = 1,
        private int    $itemsPerPage = 20
    ) {
    }

    public function getChapterId(): string
    {
        return $this->chapterId;
    }

    public function getPage(): int
    {
        return $this->page;
    }

    public function getItemsPerPage(): int
    {
        return $this->itemsPerPage;
    }
}
